Rev AI Language Identification
Rev AI Language Identification (v1)
Request
Starts an asynchronous job to identify the most probable language in the audio. Audio can be specified in two ways, either by including a public url to the media via the source_config option or by uploading a local file as part of a multipart/form request.
- application/json
- multipart/form-data
Language Identification Job Options
Optional configuration for a callback url to invoke when processing is complete, in addition to auth headers if they are needed to invoke the callback url. Cannot be set if callback_url is set. This option will not be visible in the submission response.
Amount of time after job completion when job is auto-deleted. Present only when preference set in job request.
Optional authorization headers, if they are needed to access the resource at the URL. Headers could be a single Authorization header of the form <scheme> <token>, and one of the AWS signature v4 headers. Only one of source_config and media_url may be set. This option will not be visible in the submission response.
Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored.
[HIPAA unsupported] Deprecated. Use source_config instead. Direct download media url. If this parameter is used to pass in the media url, the media url will be visible in the response. It is recommended to use the source_config parameter instead, as authorization headers can be included and both the source url and auth headers will be encrypted when stored.
- Rev AI APIhttps://api.rev.ai/languageid/v1/jobs
- Mock serverhttps://docs.rev.ai/_mock/api/language-identification/reference/languageid/v1/jobs
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- application/json
- multipart/form-data
curl -i -X POST \
https://api.rev.ai/languageid/v1/jobs \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"metadata": "sample user provided metadata",
"notification_config": {
"url": "https://www.example.com/callback",
"auth_headers": {
"Authorization": "Bearer <notification-url-token>"
}
},
"delete_after_seconds": 1000000,
"source_config": {
"url": "https://www.rev.ai/FTC_Sample_1.mp3",
"auth_headers": {
"Authorization": "Bearer <source-url-token>"
}
}
}'Language Identification Job Details
The date and time the job was created in ISO-8601 UTC form.
The date and time the job was completed, whether successfully or failing, in ISO-8601 UTC form.
Human-readable reason why the job failed.
Amount of time after job completion when job is auto-deleted. Present only when preference set in job request.
Simple reason of why the job failed. Check failure_detail for specific details and solutions.
The type of action performed, in this case language_id
Duration of the processed audio in seconds. Null if the job has not completed
Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored.
[HIPAA unsupported] Deprecated. Use source_config instead. Direct download media url. If this parameter is used to pass in the media url, the media url will be visible in the response. It is recommended to use the source_config parameter instead, as authorization headers can be included and both the source url and auth headers will be encrypted when stored.
{ "id": "Umx5c6F7pH7r", "status": "in_progress", "created_on": "2018-05-05T23:23:22.29Z", "type": "language_id" }
Request
Gets a list of language identification jobs submitted within the last 30 days in reverse chronological order up to the provided limit number of jobs per call. Note: Jobs older than 30 days will not be listed. Pagination is supported via passing the last job id from a previous call into starting_after.
- Rev AI APIhttps://api.rev.ai/languageid/v1/jobs
- Mock serverhttps://docs.rev.ai/_mock/api/language-identification/reference/languageid/v1/jobs
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.rev.ai/languageid/v1/jobs?limit=100&starting_after=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'List of Rev AI Language Identification Jobs
The date and time the job was created in ISO-8601 UTC form.
The date and time the job was completed, whether successfully or failing, in ISO-8601 UTC form.
Human-readable reason why the job failed.
Amount of time after job completion when job is auto-deleted. Present only when preference set in job request.
Simple reason of why the job failed. Check failure_detail for specific details and solutions.
The type of action performed, in this case language_id
Duration of the processed audio in seconds. Null if the job has not completed
Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored.
[HIPAA unsupported] Deprecated. Use source_config instead. Direct download media url. If this parameter is used to pass in the media url, the media url will be visible in the response. It is recommended to use the source_config parameter instead, as authorization headers can be included and both the source url and auth headers will be encrypted when stored.
- Jobs Found
- No Jobs Found
[ { "id": "Bmx5c8F5pH7a", "status": "in_progress", "created_on": "2018-05-05T23:23:22.29Z", "type": "language_id" }, { "id": "6BxQYGa638Yt", "status": "completed", "created_on": "2018-05-05T23:23:22.29Z", "completed_on": "2018-05-05T23:45:13.41Z", "type": "language_id" } ]
- Rev AI APIhttps://api.rev.ai/languageid/v1/jobs/{id}
- Mock serverhttps://docs.rev.ai/_mock/api/language-identification/reference/languageid/v1/jobs/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.rev.ai/languageid/v1/jobs/{id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Language Identification Job Details
The date and time the job was created in ISO-8601 UTC form.
The date and time the job was completed, whether successfully or failing, in ISO-8601 UTC form.
Human-readable reason why the job failed.
Amount of time after job completion when job is auto-deleted. Present only when preference set in job request.
Simple reason of why the job failed. Check failure_detail for specific details and solutions.
The type of action performed, in this case language_id
Duration of the processed audio in seconds. Null if the job has not completed
Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored.
[HIPAA unsupported] Deprecated. Use source_config instead. Direct download media url. If this parameter is used to pass in the media url, the media url will be visible in the response. It is recommended to use the source_config parameter instead, as authorization headers can be included and both the source url and auth headers will be encrypted when stored.
- New Job
- Completed Job
- Failed Job
{ "id": "Umx5c6F7pH7r", "status": "in_progress", "created_on": "2018-05-05T23:23:22.29Z", "type": "language_id" }
- Rev AI APIhttps://api.rev.ai/languageid/v1/jobs/{id}
- Mock serverhttps://docs.rev.ai/_mock/api/language-identification/reference/languageid/v1/jobs/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://api.rev.ai/languageid/v1/jobs/{id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'- Rev AI APIhttps://api.rev.ai/languageid/v1/jobs/{id}/result
- Mock serverhttps://docs.rev.ai/_mock/api/language-identification/reference/languageid/v1/jobs/{id}/result
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.rev.ai/languageid/v1/jobs/{id}/result' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'{ "top_language": "en", "language_confidences": [ { … }, { … }, { … }, { … }, { … } ] }